.\" $NetBSD: virecover.8,v 1.4 2008/04/30 13:11:01 martin Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jeremy C. Reed.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 9, 2006
.Dt VIRECOVER 8
.Os
.Sh NAME
.Nm virecover
.Nd report recovered vi edit sessions
.Sh SYNOPSIS
.Pa /usr/libexec/virecover
.Sh DESCRIPTION
The
.Nm
utility sends emails to users who have
.Xr vi 1
recovery files.
.Pp
This email gives the name of the file that was
saved for recovery and instructions for recovering
most, if not all, of the changes to the file.
This is done by using the
.Fl r
option with
.Xr vi 1 .
See the
.Fl r
option in
.Xr vi 1
for details.
.Pp
If the backup files have the execute bit set or are zero length,
then they have not been modified, so
.Nm
deletes them to clean up.
.Nm
also removes recovery files that are corrupted, zero length,
or do not have a corresponding backup file.
.Pp
.Nm
is normally run automatically at boot time using
.Pa /etc/rc.d/virecover .
.Sh FILES
.Bl -tag -width "/var/tmp/vi.recover/recover.*" -compact
.It Pa /var/tmp/vi.recover/recover.*
.Xr vi 1
recovery files
.It Pa /var/tmp/vi.recover/vi.*
.Xr vi 1
editor backup files
.El
.Sh SEE ALSO
.Xr vi 1 ,
.Xr rc.conf 5
.Sh HISTORY
This script, previously known as
.Nm recover.script ,
is from nvi and was added to
.Nx
in 1996.
It was renamed in 2001.
.Sh AUTHORS
This man page was written by
.An Jeremy C. Reed Aq reed@reedmedia.net .
